package com.huiju.estateagents.service;

import cn.binarywang.wx.miniapp.bean.WxMaUserInfo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.TaPerson;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 人员表 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
public interface ITaPersonService extends IService<TaPerson> {
    TaPerson mergePersonWxInfo(WxMaUserInfo userInfo);

    TaPerson updatePersonPhone(String miniOpenid, String phone);

    IPage<Map<String, Object>> getCardList(int pageNumber, int pageSize);

    ResponseBean checkPhoneAndPass(String phone, String pass);

    ResponseBean resetPassword(String phone, String pass, String plat);

    ResponseBean getCardDetail(String openid, String id);

    ResponseBean resgiteAgent(String name, String phone, Integer sex, String explain, String openid);

    ResponseBean getWxUser(String openid);

    ResponseBean getWxUserSign(String openid);

    TaPerson getPersonByTel(String userPhone);

    IPage<TaPerson> getPersonList(int pageNumber, int pageSize, String personType, String name, String phone);

    TaPerson newPersonByOpenid(String openid);

    ResponseBean bindCard(String phone, String pass, String openid);

    ResponseBean newConsultant(String paramStr);

    ResponseBean editConsultant(String id, String paramStr);

    Map<String,Object> getExtraInfo(String personId);

    List<TaPerson> getPersonsByOpenId(String openid);

    IPage<TaPerson> getDriftCustomerList (int pageNumber, int pageSize,String building);
}
